////////////////////////////////////////////////////
//											//
//		KeyDef.c	2002/10/19					//
//											//
////////////////////////////////////////////////////

#include "KeyDef.h"

#pragma udata

const byte KeyCodeAsc[3][8]={				// 1 ̧ޯ
	{uE,uI,uO,uU,	uW,uY,42,40},				// E I O U	W Y BS RET		Left
	{uT,uS,uC,uH,	uD,uN,uG,uF},				// T S C H	D N G F			Right
	{uA,uSp,uR,uL,	0 ,0 ,0 ,0 }};		// A sp R L					Thumb

const byte KeyCodePin[3][8]={				// 1 PinIn
	{uE,uI,uO,uU,	uDown,uI,42,40},			// E I O U	 I BS RET		Left
	{uT,uS,uC,uH,	uD,uN,uG,uF},				// T S C H	D N G F			Right
	{uA,uSp,uR,uL,	0 ,0 ,0 ,0 }};		// A sp R L					Thumb

const byte KeyCodeKana[3][8]={				// 1 
	{uAi,uAu,uAe,uAa,	uWO,uNn,42 ,40 },		//    	  BS RET		P4 Left
	{uTa,uSa,uKa,uHa,	uDa,uZa,uGa,uMa},		//    	   		P0 Right
	{uAo,uSp,uNa,uRa,	0  ,0  ,0  ,0  }};	//  sp  					P2 Thumb

const byte KeyCode2[8][8]={				// 2
	{uRight,uUp,uLeft,uTab,	uPageDown,uDown,uPageUp,uEsc},
										//    TAB	Pdn  Pup ESC	sp+
	{u1,u2,u3,u4,		u6,u7,u8,u9	},		//1 2 3 4		6 7 8 9			sp+
	{0 ,0 ,u0,u5,		0 ,0 ,0 ,0	},		//    0 5						sp+
	{54,86,84,uZ,		55,87,85,uX	},		// , - / Z		. + * X			L+
	{30,137,46,32,	45,35,46,47 	},		// ! | ^ #		= & ~ @			W+
	{36,51,184,56,	31,52,0,uApp	},		// ' ;  ?		" : WIN APP		BS+
	{37,48,48,54,		38,49,49,55	},		// ( { [ <			) } ] >		ret+
	{54,36,36,0,		55,31,31,uSp	}};		// , ' ' 0		. " " Sp			L+sp+

const byte KeyCodeKana2[14][4]={			// 2 
	{uTi,uTu,uTe,uTo},		//    
	{uSi,uSu,uSe,uSo},		//    
	{uKi,uKu,uKe,uKo},		//    
	{uHi,uHu,uHe,uHo},		//    
	{uDi,uDu,uDe,uDo},		// 
	{uZi,uZu,uZe,uZo},		// ޽޾޿
	{uGi,uGu,uGe,uGo},		// ޸޹޺
	{uMi,uMu,uMe,uMo},		//    
	{uAi,uAu,uAe,uAa},		//    
	{uAi,uYu,uAe,uAa},		//    
	{uNi,uNu,uNe,uNo},		//    
	{uRi,uRu,uRe,uRo},		//    
	{uYa,uYu,uAe,uYo},		//    
	{uYo,uYu,uAe,uYa}};		//    

const byte KeyCode3[2][8]={			// 3
	{uHome,uDel,uIns,uEnd,	uF11,uF12,138,139},	// HOME DEL INS END	F11 F12 ϊ ϊ
	{uF1,uF2,uF3,uF4,		uF6,uF7,uF8,uF9}};	// F1 F2 F3 F4		F6 F7 F8 F9	sp+W

byte KeyBuf[8];					// u[N҂obt@
word ModeCodeBuf[16];				// ]҂f[^obt@
word *Top, *Last;					// ModeCodeBufp|C^
char T[20];
int  BreakTimer,KeyWheelTimer,WaitTimer;
byte IdleTimer0,IdleTimer1;
char KeyMouseTimer,Fn1,Fn2,Kakko,Kigou1,Kigou2,Kigou3,Win;
int KEYMOUSE_TIME, KEYWHEEL_TIME0, KEYWHEEL_TIME1;
byte LED,Ron0,LastSp,LastKana0,LastKana1,SeaP,ShiftSet0,FirstCode;
char cn,c,cs[8],cp,bsn;