#ifndef _KEYDEF_H

#include "system\typedefs.h"

extern const byte KeyCodeAsc[3][8];		// 1 ̧ޯ
extern const byte KeyCodePin[3][8];		// 1 PinIn
extern const byte KeyCodeKana[3][8];		// 1 
extern const byte KeyCode2[8][8];			// 2
extern const byte KeyCodeKana2[14][4];		// 2 
extern const byte KeyCode3[2][8];			// 3

#define L0	16
#define L1	0
#define L2	1
#define L3	2
#define L4	3
#define L5	17
#define L6	4
#define L7	5
#define L8	6
#define L9	7
#define R0	18
#define R1	8
#define R2	9
#define R3	10
#define R4	11
#define R5	19
#define R6	12
#define R7	13
#define R8	14
#define R9	15

#define uA	4
#define uB	5
#define uC	6
#define uD	7
#define uE	8
#define uF	9
#define uG	10
#define uH	11
#define uI	12
#define uJ	13
#define uK	14
#define uL	15
#define uM	16
#define uN	17
#define uO	18
#define uP	19
#define uQ	20
#define uR	21
#define uS	22
#define uT	23
#define uU	24
#define uV	25
#define uW	26
#define uX	27
#define uY	28
#define uZ	29

#define u1	89
#define u2	90
#define u3	91
#define u4	92
#define u5	93
#define u6	94
#define u7	95
#define u8	96
#define u9	97
#define u0	98

#define uF1 58
#define uF2 59
#define uF3 60
#define uF4 61
#define uF5 62
#define uF6 63
#define uF7 64
#define uF8 65
#define uF9 66
#define uF10 67
#define uF11 68
#define uF12 69

#define uCaps		57
#define uScrollLock	71
#define uIns		73
#define uHome		74
#define uPageUp	75
#define uDel		76
#define uEnd		77
#define uPageDown	78
#define uRight	79
#define uLeft		80
#define uDown		81
#define uUp		82
#define uNumLock	83
#define uRet		40
#define uEsc		41
#define uBs		42
#define uTab		43
#define uSp		44
#define uApp		101

#define uAa 32
#define uAi 8
#define uAu 33
#define uAe 34
#define uAo 35
#define uKa 23
#define uKi 10
#define uKu 11
#define uKe 52
#define uKo 5
#define uSa 27
#define uSi 7
#define uSu 21
#define uSe 19
#define uSo 6
#define uTa 20
#define uTi 4
#define uTu 29
#define uTe 26
#define uTo 22
#define uNa 24
#define uNi 12
#define uNu 30
#define uNe 54
#define uNo 14
#define uHa 9
#define uHi 25
#define uHu 31
#define uHe 46
#define uHo 45
#define uMa 13
#define uMi 17
#define uMu 50
#define uMe 56
#define uMo 16
#define uYa 36
#define uYu 37
#define uYo 38
#define uRa 18
#define uRi 15
#define uRu 55
#define uRe 51
#define uRo 135
#define uWa 39
#define uNn 28

#define uTU 157
#define uAA 160
#define uAI 136
#define uAU 161
#define uAE 162
#define uAO 163
#define uYA 164
#define uYU 165
#define uYO 166
#define uWO 167

#define uGa 151
#define uGi 138
#define uGu 139
#define uGe 180
#define uGo 133
#define uZa 155
#define uZi 152
#define uZu 149
#define uZe 147
#define uZo 134
#define uDa 148
#define uDi 132
#define uDu 158
#define uDe 154
#define uDo 150
#define uBa 156
#define uBi 153
#define uBu 159
#define uBe 174
#define uBo 173

#define uDak	47
#define uHan	48
#define uCho	137

#define _KEYDEF_H
#endif
